# -*- coding: utf-8 -*-
# Elisa - Home multimedia server
# Copyright (C) 2006,2007 Fluendo Embedded S.L. (www.fluendo.com).
# All rights reserved.
#
# This file is available under one of two license agreements.
#
# This file is licensed under the GPL version 2.
# See "LICENSE.GPL" in the root of this distribution including a special
# exception to use Elisa with Fluendo's plugins.
#
# The GPL part of Elisa is also available under a commercial licensing
# agreement from Fluendo.
# See "LICENSE.Elisa" in the root directory of this distribution package
# for details on that license.

from pgm.form import rectangle, image, label, color
from pgm.layout import group
from pgm import widget
import skin

class StatusBar(group.Group):

    def __init__(self, size=(100,100) ):
        self._background_widget = rectangle.Rectangle(size=size)
        #self._background_widget.paint = color.Color(color.WHITE)
        #self._background_widget.opacity = 255
        group.Group.__init__(self)
        self.size = size
        self.add(self._background_widget)
        self._background_widget.opacity = 0
        self._label = label.Label(text="", size=(size[0], 50),
                                  font_size=24)
        self._label.x_align = 0.
        self._logo_widget = rectangle.Rectangle(size=size)
        self.logo_width = size[1] * 0.80
        logo_path = '../unscaled/fluendo-white.png'
        logo_picture_path = skin.ElisaSkin.get_picture_path(logo_path)
        img_fluendo = image.Image(logo_picture_path)
        self._logo_widget.size = (self.logo_width, self.logo_width)
        self._logo_widget.media = img_fluendo
        self._logo_widget.ordering = widget.NEAR
        logo_pos = (size[1]-self.logo_width) / 2
        self._logo_widget.position = (logo_pos, logo_pos)

        self._label.opacity = 255
        self._logo_widget.opacity = 255
        
        self.add(self._logo_widget)
        self.add(self._label)
        
        self._label.ordering = widget.NEAR
        self._label.x = 50
        self._label.y = (logo_pos /2)
        self._label.tz = 1

    def get_widgets(self):
        return [self._logo_widget, self._label]
    
    def set_label(self,label):
        self._label.text = label
        
    def size__set(self, size):
        if self._background_widget:
            self._background_widget.size__set(size)
    
    def size__get(self):
        if self._background_widget:
            return self._background_widget.size__get()
        return None


    def width__set(self, width):
        self._label.size = (width, self._label.size[1])
        self._background_widget.size = (width, self._background_widget.height)

