# -*- coding: utf-8 -*-
# Licensed under the MIT license
# http://opensource.org/licenses/mit-license.php

# Copyright (C) 2006,2007, Elisa team <contact@fluendo.com>

from elisa.core.plugin import Plugin, IPlugin
from elisa.core import menu, common
from elisa.core.signals.application import application_started
            
class UPnPRendererPlugin(Plugin):
    """

    """
    __implements__ = IPlugin
    singleton = True

    name = "upnp_renderer"

    def __init__(self):
        Plugin.__init__(self)
        application_started.connect(self._application_started)

    def _application_started(self):
        application = common.get_application()
        coherence = application.get_coherence()
        if coherence:
            args = {}#'host':'internal'}
            coherence.add_plugin('ElisaPlayer', **args)
        else:
            self.unload("UPnP MediaRenderer won't work without Coherence")
